<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                      http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>portlets-in-action</groupId>
	<artifactId>ch03_BookCatalog</artifactId>
	<packaging>war</packaging>
	<version>1.0</version>
	<properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
  </properties>
	<build>
		<sourceDirectory>${project.basedir}/src</sourceDirectory>
		<outputDirectory>${project.basedir}/target/classes</outputDirectory>
		<resources>
			<resource>
				<targetPath>content</targetPath>
				<directory>WEB-INF</directory>
				<includes>
					<include>Language-ext.properties</include>
					<include>Language-ext_fr_FR.properties</include>
				</includes>
			</resource>
		</resources>
		<pluginManagement>
			<plugins>
				<plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-compiler-plugin</artifactId>
          <version>3.1</version>
          <configuration>
            <source>1.5</source>
            <target>1.5</target>
          </configuration>
				</plugin>
				<plugin>
					<artifactId>maven-war-plugin</artifactId>
					<version>2.1-alpha-2</version>
					<configuration>
						<webResources>
							<resource>
								<directory>css</directory>
								<targetPath>css</targetPath>
							</resource>
							<resource>
								<directory>js</directory>
								<targetPath>js</targetPath>
							</resource>
							<resource>
								<directory>images</directory>
								<targetPath>images</targetPath>
							</resource>
							<resource>
								<directory>WEB-INF/jsp/</directory>
								<targetPath>WEB-INF/jsp</targetPath>
							</resource>
							<resource>
								<directory>WEB-INF</directory>
								<targetPath>WEB-INF</targetPath>
								<includes>
									<include>**/*.xml</include>
								</includes>
								<excludes>
									<exclude>Language-ext.properties</exclude>
								</excludes>
							</resource>
						</webResources>
						<webXml>${project.basedir}/WEB-INF/web.xml</webXml>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<dependencies>
		<dependency>
			<groupId>javax.portlet</groupId>
			<artifactId>portlet-api</artifactId>
			<version>2.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
			<version>1.1.1</version>
		</dependency>
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.14</version>
		</dependency>
		<dependency>
			<groupId>taglibs</groupId>
			<artifactId>standard</artifactId>
			<version>1.1.2</version>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.1.1</version>
		</dependency>
		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.2.1</version>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>2.4</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<version>2.4</version>
			<scope>provided</scope>
		</dependency>
	</dependencies>
</project>